unit view.test;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.DropDown, Vcl.Controls, WEBLib.WebCtrls,
  Vcl.StdCtrls, WEBLib.StdCtrls, WEBLib.EditAutocomplete, WEBLib.ExtCtrls;

type
  TForm1 = class(TWebForm)
    test_zone_autocomplete2: TWebHTMLDiv;
    test_zone_autocomplete1: TWebHTMLDiv;
    WebHTMLDiv1: TWebHTMLDiv;
    WebComboBox1: TWebComboBox;
    WebEditAutoComplete1: TWebEditAutoComplete;
    WebHTMLDiv2: TWebHTMLDiv;
    WebEditAutoComplete2: TWebEditAutoComplete;
    WebTimer1: TWebTimer;
    procedure WebFormCreate(Sender: TObject);
    procedure WebTimer1Timer(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.WebFormCreate(Sender: TObject);
Begin
    WebTimer1.Enabled := True;
end;

procedure TForm1.WebTimer1Timer(Sender: TObject);
var
  i     : Integer;
  Max   : Integer;
begin
    WebTimer1.Enabled := False;
    Max := 10;
    // WebDropDownControl1
    WebComboBox1.BeginUpdate;
    WebEditAutoComplete1.BeginUpdate;
    WebEditAutoComplete2.BeginUpdate;
    WebComboBox1.Items.Clear;
    WebEditAutoComplete1.Items.Clear;
    WebEditAutoComplete2.Items.Clear;
    For i := 0 to Max-1 do
    Begin
        WebComboBox1.Items.Add('Line '+IntToStr(i)+' for combobox');
        WebEditAutoComplete1.Items.Add('Line '+IntToStr(i)+' for AutoComplete A');
        WebEditAutoComplete2.Items.Add('Line '+IntToStr(i)+' for AutoComplete B');
    End;
    WebComboBox1.EndUpdate;
    WebEditAutoComplete1.EndUpdate;
    WebEditAutoComplete2.EndUpdate;
end;

end.